Subject: Re: Re: Problem exec-ing apps

From: [email-masked]
Date: Fri, 18 Feb 2000 09:28:34

Ben, Thanks a ton.
I am able to execute a lot of stuff.
(like 'ls', 'du'...).
But a program like 

main() { while(1);}

gives a memory fault.
/bin/test: memory violation at pc=0x00000000, lr=0x02005bec (bad address=0x00000000, code 3)

But if the while loop is non-empty,
say,

main() { while(1) printf("test");}

there are no problems.

Any ideas?

Thanks,
Srikrishnan V

>Ben Williamson <[email-masked]>,[email-masked] >wrote:
>
> On Wed, 16 Feb 2000 [email-masked] wrote: 
>  
> > I am having problems 'exec'ing applications in an 
> > anvil EP7211-based board. The user apps exit giving a  
> > memory violation at pc=0x0. 
>  
> Cool, so someone else finally has an Anvil board!  Except it has 16MB? 
> That doesn't sound like an Anvil... 
>  
> I'm assuming you're using my patch on top of crash+burn-26?  In that case 
> you probably have the same problem that Pawel found.  I've attached his 
> message below, which describes a fix.  My stupid mistake.  One day I'll 
> post a new patch, I was hoping to have some other stuff done on it but 
> haven't had time lately.  Usual story. 
>  
> Anyway, hope this helps.  All the best, 
>  
> - Ben. 
>  
> ----------------------------------------------------------------- --  
> Ben Williamson       [email-masked]     http://www.pobox.com/~benw/ 
>  
>  
> ---------- Forwarded message -------- --  
> From: Pawel Gburzynski <[email-masked]> 
> To: Ben Williamson <[email-masked]> 
> Subject: Re: Linux on ARM720T (more updates) 
>  
> Ben, 
>  
> There is a bit more. Your nice little shell runs fine, but the 
> system will panic as soon as you try, e.g., to do execve. The 
> problem is that the TLB is not flushed properly because 
> arch/arm/mm/proc-arm6,7.S assembles with the wrong CPU version. 
>  
> Do this: 
>  
> In arch/arm/mm/proc-arm6,7.S, replace all occurrences of 
> CONFIG_ARCH_ARMV4 with CONFIG_CPU_ARMV4. 
>  
> Add "#include <linux/autoconf.h>" in the header. 
>  
> Regards, 
>  
>  --  
> Pawel 
>  

 -------------------------------------------------------------------------------
Get a free mail address from http://www.indiainfo.com

unsubscribe: body of `unsubscribe linux-arm' to [email-masked]
++        Please use [email-masked] for           ++
++                        kernel-related discussions.                      ++